This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1469149 - 'gcc' says internal error, and dies
'gcc' says internal error, and dies
Status: CLOSED INSUFFICIENT_DATA
Product: DevTools
Classification: Red Hat
Component: rh-eclipse47 (Show other bugs)
unspecified
All Linux
unspecified Severity unspecified
: rc
: 1.0
Assigned To: Mat Booth
qe-baseos-tools
Robert Krátký
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-10 09:49 EDT by Bill Torcaso
Modified: 2017-08-22 11:07 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-08-03 09:48:46 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
'certbot' attempts auto-update. 'gcc' dies during the procedure. (20.96 KB, text/plain)
2017-07-10 09:49 EDT, Bill Torcaso
no flags Details

  None (edit)
Description Bill Torcaso 2017-07-10 09:49:58 EDT
Created attachment 1295837 [details]
'certbot' attempts auto-update.  'gcc' dies during the procedure.

Description of problem:

'gcc' dies with an message 'internal error'

Version-Release number of selected component (if applicable):

N/A

How reproducible:

'Certbot' auto-update downloads a new version and uses gcc in its build process. 
Steps to Reproduce:
1. 'Certbot' auto-update downloads a new version and uses gcc in its build process. 
2. See attached listing
3.

Actual results:

"gcc: Internal error: Killed (program cc1)"

Expected results:

gcc successful completion

Additional info:

(1) Sorry I can't give you more detail.
(2) This procedure has worked form many months without error.
Comment 2 Mat Booth 2017-07-19 11:12:19 EDT
Hi Bill,

You filed this bug against the Eclipse Software Collection, but I don't think that Eclipse is related to your problem and I have a feeling that this bug should be filed against a different product/component.

If you can tell us what versions of python, pip, gcc, and RHEL you are using, I can hopefully correct the product/component fields so that you get attention from the right people.

Thanks
Comment 3 Mat Booth 2017-08-03 09:48:46 EDT
I'm going to close this for now, since it appears to be unrelated to our project.

Bill, feel free to re-open with more information and I will re-assign the bug to the correct product.
Comment 4 Bill Torcaso 2017-08-22 11:07:42 EDT
I filed this bug because of this output from the failed process:

    gcc: Internal error: Killed (program cc1)
    Please submit a full bug report.
    See <http://bugzilla.redhat.com/bugzilla> for instructions.
    error: command 'gcc' failed with exit status 1

Let's kill this conversation completely.

Note You need to log in before you can comment on or make changes to this bug.